# Get application

> **GET** `https://api.us.nylas.com/v3/applications`

Source: https://developer.nylas.com/docs/reference/api/applications/get_application/

Gets the application object

**Authentication:** NYLAS_API_KEY

## Responses

### 200 - Returns Application object

- `request_id` (string) - ID of the request
- `data` (object)
  - `application_id` (string) - Application ID
  - `organization_id` (string) - ID of organization
  - `region` (string) - Region identifier
  - `environment` (string) - Environment identifier
  - `default_workspace_id` (string) - The ID of the application's default [workspace](/docs/reference/api/workspaces/), if one exists.
Nylas manages this value, and ignores it in create and update requests.
  - `v2_application_id` (string) - Linked v2 Application ID
  - `branding` (object)
    - `name` (string) - Name of the application
    - `icon_url` (string) - URL points to application icon.
    - `website_url` (string) - Application / publisher website URL
    - `description` (string) - Description of the application.
  - `hosted_authentication` (object)
    - `background_image_url` (string) - URL of the background image
    - `alignment` (string) - Alignment of background image
    - `color_primary` (string) - Primary color
    - `color_secondary` (string) - Secondary color
    - `title` (string) - Title
    - `subtitle` (string) - Subtitle
    - `background_color` (string) - Background color
    - `spacing` (integer) - CSS spacing attribute in px
  - `callback_uris` (array) - A list of your application's callback URIs.

### 400 - Bad Request

- `request_id` (string) **(required)** - ID of the request
- `error` (object) **(required)** - Error object
  - `type` (string) - Type of error
  - `message` (string) - Informative error message
  - `provider_error` (object) - (OPTIONAL) informative error message from provider's side

### 401 - Not Authenticated

- `request_id` (string) **(required)** - ID of the request
- `error` (object) **(required)** - Error object
  - `type` (string) - Type of error
  - `message` (string) - Informative error message
  - `provider_error` (object) - (OPTIONAL) informative error message from provider's side

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.us.nylas.com/v3/applications' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```

### Node.js SDK

```javascript
import Nylas from "nylas";

const nylas = new Nylas({
  apiKey: "<NYLAS_API_KEY>",
  apiUri: "<NYLAS_API_URI>",
});

const applicationDetails = await nylas.applications.getDetails();

console.log({ applicationDetails });

```

### Python SDK

```python
from nylas import Client

nylas = Client(
    "<NYLAS_API_KEY>",
    "<NYLAS_API_URI>",
)

application = nylas.applications.info()
application_id = application[1]
print("Application ID:", application_id)

```

### Ruby SDK

```ruby
# frozen_string_literal: true

# Load gems
require 'nylas'

# Initialize Nylas client
nylas = Nylas::Client.new(
  api_key: '<NYLAS_API_KEY>'
)

application = nylas.applications.get_details()
puts application

```

### Java SDK

```java
import com.nylas.NylasClient;
import com.nylas.models.*;

public class getApplication {
  public static void main(String[] args) throws NylasSdkTimeoutError, NylasApiError {
    NylasClient nylas = new NylasClient.Builder("<NYLAS_API_KEY>").build();
    Response<ApplicationDetails> application = nylas.applications().getDetails();
    
    System.out.println(application);
  }
}
```

### Kotlin SDK

```kotlin
import com.nylas.NylasClient

fun main(args: Array<String>) {
  val nylas: NylasClient = NylasClient(
      apiKey = "<NYLAS_API_KEY>"
  )

  val application = nylas.applications().getDetails()
  
  print(application)
}
```
